# JSXGraph 1.7.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

# Namespace JXG.Options

↳ JXG.Options

Defined in: options.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Options Options Namespace These are the default options of the board and of all geometry elements.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| layer Default ordering of the layers.
| navbar Options that are used by the navigation bar.
| precision Precision options, defining how close a pointer device (mouse, finger, pen) has to be to an object such that the object is highlighted or can be dragged.
| shortcuts Abbreviations of attributes.

Namespace Detail
JXG.Options
Options Namespace These are the default options of the board and of all geometry elements.
Field Detail
{Object} layer
Default ordering of the layers. The numbering starts from 0 and the highest layer number is numlayers-1. The default values are

    JXG.Options.layer: {
      numlayers: 20, // only important in SVG
      text: 9,
      point: 9,
      glider: 9,
      arc: 8,
      line: 7,
      circle: 6,
      curve: 5,
      turtle: 5,
      polygon: 3,
      sector: 3,
      angle: 3,
      integral: 3,
      axis: 2,
      ticks: 2,
      grid: 1,
      image: 0,
      trace: 0
    }

{Object} navbar
Options that are used by the navigation bar. Default values are

    JXG.Option.navbar: {
      strokeColor: '#333333',
      fillColor: 'transparent',
      highlightFillColor: '#aaaaaa',
      padding: '2px',
      position: 'absolute',
      fontSize: '14px',
      cursor: 'pointer',
      zIndex: '100',
      right: '5px',
      bottom: '5px'
    },

These settings are overruled by the CSS class 'JXG_navigation'.

{Object} precision
Precision options, defining how close a pointer device (mouse, finger, pen) has to be to an object such that the object is highlighted or can be dragged. These values are board-wide and can be overwritten for individual elements by changing their precision attribute. The default values are

    JXG.Options.precision: {
      touch: 30,
      touchMax: 100,
      mouse: 4,
      pen: 4,
      epsilon: 0.0001,
      hasPoint: 4
    }

See:
  JXG.GeometryElement#precision

{Object} shortcuts
Abbreviations of attributes. Setting the shortcut means setting abbreviated properties to the same value. It is used in JXG.GeometryElement#setAttribute and in the constructor JXG.GeometryElement. Attention: In Options.js abbreviations are not allowed.

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Feb 15 2024 17:48:02 GMT+0000 (Coordinated Universal Time)